From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Wed, 27 Jan 2021 14:41:44 +0100
Subject: arm64: dts: imx8mq-librem5: Add interconnect name for DCSS
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Otherwise it fails to probe indicated by

    [   30.524888] imx-dcss 32e00000.display-controller: No interconnect support may cause display underflows!

Closes: #262
Signed-off-by: Guido Günther <agx@sigxcpu.org>
---
 arch/arm64/boot/dts/freescale/imx8mq.dtsi | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq.dtsi b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
index 6e2b9ab..64e0fb8 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
@@ -1450,6 +1450,7 @@ dcss: display-controller@32e00000 {
 				assigned-clock-rates = <800000000>,
 						       <400000000>;
 				interconnects = <&noc IMX8MQ_ICM_DCSS &noc IMX8MQ_ICS_DRAM>;
+				interconnect-names = "dram";
 				status = "disabled";
 				dcss_dsi_out: port@0 {
 					dcss_mipi_dsi: endpoint {
